//Cristian Ronzoni 3Ain
//Fare una matrice identità
#include <iostream>
#include <iomanip>
#define LATO 6
using namespace std;

void riempi(int arr[LATO] [LATO]){
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			if(i==j){
				arr[i] [j] = 1;
			}
			else
				arr[i] [j] = 0;
			
		}
		
	}
	
	
}


void stampa(int arr[LATO] [LATO]){
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			cout << setw(3) << arr[i] [j];
		}
		cout << endl;
	}
	
	
	
}



int main(void){
	
	int arr[LATO] [LATO];
	riempi(arr);
	stampa(arr);
	
}
